org.sqlite.javax

## Class SQLitePooledConnection

- java.lang.Object
- - org.sqlite.jdbc4.JDBC4PooledConnection
  - - org.sqlite.javax.SQLitePooledConnection

All Implemented Interfaces:
  PooledConnection

    public class SQLitePooledConnection
    extends JDBC4PooledConnection
    implements PooledConnection

### Field Summary

Fields
`protected Connection` `handleConn`
`protected List<ConnectionEventListener>` `listeners`
`protected Connection` `physicalConn`

### Constructor Summary

Constructors
`protected` `SQLitePooledConnection(Connection physicalConn)` Constructor.

### Method Summary

Methods
`void` `addConnectionEventListener(ConnectionEventListener listener)`
`void` `close()`
`Connection` `getConnection()`
`void` `removeConnectionEventListener(ConnectionEventListener listener)`

### Methods inherited from class org.sqlite.jdbc4.JDBC4PooledConnection

`addStatementEventListener, removeStatementEventListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.PooledConnection

`addStatementEventListener, removeStatementEventListener`

### Field Detail

#### physicalConn

    protected Connection physicalConn

#### handleConn

    protected volatile Connection handleConn

#### listeners

    protected List<ConnectionEventListener> listeners

### Constructor Detail

#### SQLitePooledConnection

    protected SQLitePooledConnection(Connection physicalConn)

Constructor.

Parameters:
  `physicalConn` - The physical Connection.

### Method Detail

#### close

    public void close()
               throws SQLException

Specified by:
  `close` in interface `PooledConnection`
Throws:
  `SQLException`
See Also:
  `PooledConnection.close()`

#### getConnection

    public Connection getConnection()
                             throws SQLException

Specified by:
  `getConnection` in interface `PooledConnection`
Throws:
  `SQLException`
See Also:
  `PooledConnection.getConnection()`

#### addConnectionEventListener

    public void addConnectionEventListener(ConnectionEventListener listener)

Specified by:
  `addConnectionEventListener` in interface `PooledConnection`
See Also:
  `PooledConnection.addConnectionEventListener(javax.sql.ConnectionEventListener)`

#### removeConnectionEventListener

    public void removeConnectionEventListener(ConnectionEventListener listener)

Specified by:
  `removeConnectionEventListener` in interface `PooledConnection`
See Also:
  `PooledConnection.removeConnectionEventListener(javax.sql.ConnectionEventListener)`